Update a repository's default locale

patch

/repositories/{id}/defaultLocale

Request

Path Parameters
  • The unique identifier of the repository object, probably FBA17E28CAAB4A7387A44BEE77240E33.
Query Parameters
  • When set to true then the system will not check that every object needing localization actually has been translated to the selected locale.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Locale selected for a repository default-locale update.
Show Source
Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : RepositoryBO
Type: object
Show Source
Nested Schema : availableLocales
Type: array
Show Source
  • LocaleKeyBO
    Documentation for BO mode: LocaleKeyBO:

    Localized Name of the Locale is currently NOT provided (i.e. The word Japanese is always in Japanese and never localized in say Arabic.)

Nested Schema : LocaleKeyBO
Type: object
Documentation for BO mode: LocaleKeyBO:

Localized Name of the Locale is currently NOT provided (i.e. The word Japanese is always in Japanese and never localized in say Arabic.)

Show Source
  • Links
  • Title: Locale Desc
    Read Only: true
    Maximum Length: 100
    The description about the language and country that the Locale object represents.
  • Title: Record Id
    The unique identifier of the Locale object.

400 Response

Invalid locale update request.
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : error
Type: object
Show Source
Nested Schema : errorDetails
Type: array
Show Source
Nested Schema : items
Type: object

500 Response

Repository locale update failed.
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : error
Type: object
Show Source
Nested Schema : errorDetails
Type: array
Show Source
Nested Schema : items
Type: object
Back to Top